Visual Studio Code :因为在此系统上禁止运行脚本

在使用 Electron 开发桌面应用程序的过程中,使用 yarn 命令提示我“因为在此系统上禁止运行脚本”。这是因为默认情况下使用的是 PowerShell,并且它的安全策略默认情况下是不允许这种操作的。毕竟,windows 系统针对的用户默认是普通用户。开放这样的功能容易造成很多不可预知的安全性问题。

以下记录解决过程:

1)以管理员身份运行 VSCode。

右点击 VSCode 快捷图片,会有一项“以管理员身份运行(A)”。点击启动。

2)VSCode Shell 窗口执行如下命令:

> get-ExecutionPolicy
> set-ExecutionPolicy RemoteSigned

第一行 get-ExecutionPolicy 显示了当前安全策略是否开启。默认是受限制的:Restricted
第二行是设置安全策略为开启状态。

通过以上操作以后不再会提示此问题。

博主 2011 年创建了一个《PHP 初学者官方群》,目前群成员 500 人左右。群号:168159147。为了防止广告,设置为付费入群。欢迎大家加入讨论技术!

标签: 无

发表评论: